Subject: Re: [bug#76296] [PATCH maintenance] hydra: bayfront: Set up‘git.guix.gnu.org’ as a redirect to Savannah.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 15 Feb 2025 23:08:42 +0900

Hi,

Ludovic Courtès <[email-masked]> writes:

[...]

> As part of preliminary discussions around GCD #002 (“Migrating repositories,
> issues, and patches to Codeberg”), some suggested having a git.guix.gnu.org
> DNS entry to make Git migration in general easier.
>
> This patch implements that; technically we have to have an HTTP redirect,
> which means that clients pay the cost of an extra connection and get nothing
> if bayfront is down.  That’s the price to pay for this indirection, but
> it’s probably worth it.
>
> Note that I haven’t been able to test this patch for real since it depends
> of the state and environments of bayfront: certificates, networking set up,
> host names, etc.
>
> This patch could be applied whether or not the GCD is eventually accepted.

> Thoughts?

It's a bit eager to my taste :-).  I'd rather the GCD process complete
its course before doing something concrete.  I'd keep it around for when
we get to it.

-- 
Thanks,
Maxim